Package org.drinkless.tdlib

# Class TdApi.PageBlockEmbedded

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockEmbedded

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockEmbedded extends TdApi.PageBlock
An embedded web page.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowScrolling`
  True, if scrolling needs to be allowed.
  `TdApi.PageBlockCaption`
  `caption`
  Block caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `height`
  Block height; 0 if unknown.
  `String`
  `html`
  HTML-markup of the embedded page.
  `boolean`
  `isFullWidth`
  True, if the block must be full width.
  `TdApi.Photo`
  `posterPhoto`
  Poster photo, if available; may be null.
  `String`
  `url`
  URL of the embedded page, if available.
  `int`
  `width`
  Block width; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockEmbedded()`
  An embedded web page.
  `PageBlockEmbedded(String url, String html, TdApi.Photo posterPhoto, int width, int height, TdApi.PageBlockCaption caption, boolean isFullWidth, boolean allowScrolling)`
  An embedded web page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the embedded page, if available.

  - ### html

    public String html
    HTML-markup of the embedded page.

  - ### posterPhoto

    @Nullable public TdApi.Photo posterPhoto
    Poster photo, if available; may be null.

  - ### width

    public int width
    Block width; 0 if unknown.

  - ### height

    public int height
    Block height; 0 if unknown.

  - ### caption

    public TdApi.PageBlockCaption caption
    Block caption.

  - ### isFullWidth

    public boolean isFullWidth
    True, if the block must be full width.

  - ### allowScrolling

    public boolean allowScrolling
    True, if scrolling needs to be allowed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockEmbedded

    public PageBlockEmbedded()
    An embedded web page.

  - ### PageBlockEmbedded

    public PageBlockEmbedded(String url, String html, TdApi.Photo posterPhoto, int width, int height, TdApi.PageBlockCaption caption, boolean isFullWidth, boolean allowScrolling)
    An embedded web page.
    Parameters:
      `url` - URL of the embedded page, if available.
      `html` - HTML-markup of the embedded page.
      `posterPhoto` - Poster photo, if available; may be null.
      `width` - Block width; 0 if unknown.
      `height` - Block height; 0 if unknown.
      `caption` - Block caption.
      `isFullWidth` - True, if the block must be full width.
      `allowScrolling` - True, if scrolling needs to be allowed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR